Page MenuHomePhabricator

Protection "Translations talk" namespace (#1199) from editing
Closed, DeclinedPublic

Description

"Translations talk" namespace (#1199) needs to protection from editing by default.

This is place for orphaned notes, that nobody reads - see in Meta-Wiki.

This also good place for various spam, by these same reasones.

Event Timeline

Kaganer created this task.Dec 10 2017, 1:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 10 2017, 1:25 PM
Kaganer updated the task description. (Show Details)Dec 10 2017, 1:26 PM

"Translations talk" namespace (#1199) needs to protection from editing by default.

For everybody who ever sets up the Translate extension on their own wikis? Or for Wikimedia web sites?

"Translations talk" namespace (#1199) needs to protection from editing by default.

For everybody who ever sets up the Translate extension on their own wikis? Or for Wikimedia web sites?

In my opinion - for everybody (if this may be disabled by common MediaWiki conditions).
At least - for Wikimedia sites.

There are lots of "orphan" talk namespaces. I am not convinced Translate should do anything special here.

Aklapper triaged this task as Lowest priority.Dec 11 2017, 10:46 AM
Base added a comment.Dec 11 2017, 11:02 AM

Hm, I would rather leave it be too. For what it is worth, Translations namespace itself attracts more vandalism.

Before TUX started supporting edit summary talk page was the only place to justify translation choice at (along with perhaps the translation page talk, but that is not the most obvious place, and unless one used &tux=0), but even now it might be used for some actual discussions on how to translate something. Of course with very low participation rate; someone actually editing a translation in a way that it might be controveral is a rare event.

On TWN there are also language portals to discuss, but not all the things are "big" enough to discuss centrally.

Besides I agree with Nikerabbit, for example Template talk or Help talk namespaces to name a couple are usually no better, unless someone specifically focuses on monitoring them.

Items in the "Translations:" namespace (as opposed to MediaWiki messages) are non-independent entities. These are parts of the "translatable pages". Currently there is no easy way for tracking and wathing these talkpages.

Ok, if you think that these talkpages is not needs to protected at the extension level, I propose to protect these in the Wikimedia sites.

@Base: (Wish you to answer those questions when your wikibreak of Phabricator is done.)

  1. For what it is worth, Translations namespace itself attracts more vandalism. [citation needed]
  2. someone actually editing a translation in a way that it might be controveral is a rare event. rare???
  3. On TWN there are also language portals to discuss, but not all the things are "big" enough to discuss centrally. I don't think talk pages of languages portals on TWN are misused, any violations available?
  4. unless someone specifically focuses on monitoring them. T2738 would help you, anything else to resolve on this topic?
Nikerabbit closed this task as Declined.Jun 26 2018, 2:46 PM

Namespaces are easy to protect with MediaWiki core configuration changes. There is no precedent in other extensions for restricting the use of talk namespaces (although I think there might be an extension that does not declare a talk namespace at all). Such changes can be requested as per normal means for any given wiki.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJun 26 2018, 2:46 PM